<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class AdminFormRequest extends Request
{
    /**
     * Overwrite error messages
     * @return messages
     */
    public function messages(){
      return [
        'required' => 'Le champ :attribute est requis',
        'in' => 'Le :attribute doit être :values',
        'unique' => 'Ce :attribute existe déjà',
        'image' => 'Le fichier doit être une image',
        'file.between' => 'Le fichier doit peser moins de 5Mo',
        'date_format' => 'La date doit être au format aaaa-mm-jj',
        'url' => 'Ceci n\'est pas une URL valide'
      ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
          'statut' => 'sometimes|required|in:publié,dépublié,corbeille',
          'titre' => 'sometimes|required|unique:posts,titre,'.$this->post,
          'contenu' => 'sometimes|required',
          'image' => 'image|between:1,5000',
          'date_debut' => 'sometimes|required|date_format:Y-m-d',
          'date_fin' => 'sometimes|required|date_format:Y-m-d',
          'lien_conf' => 'sometimes|required|url'
      ];
    }
}
