<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

// Home
Route::get('/', 'FrontController@show');
// Posts
Route::get('/post/{id}', 'FrontController@single');
// About
Route::get('/about/', function(){
    return view('about');
});
// Login
Route::get('auth/login', 'Auth\AuthController@getLogin');
Route::post('auth/login', 'Auth\AuthController@postLogin');
Route::get('auth/logout', 'Auth\AuthController@getLogout');
// Dashboard
Route::get('admin', 'Admin\AdminController@index');
Route::group(['prefix' => 'admin'], function(){
  Route::resource('post', 'Admin\AdminController');
});
