<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    protected $fillable = ['titre', 'contenu', 'extrait', 'date_debut', 'date_fin', 'lien_conf', 'picture_id', 'statut'];
    /**
     * Get tags associated with post
     */
    public function tags(){
        return $this->belongsToMany('App\Tag', 'post_tag');
    }

    /**
     * Get picture associated with post
     */
    public function picture(){
        return $this->belongsTo('App\Picture');
    }
}
