<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePostsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('posts', function (Blueprint $table){
            $table->increments('id'); // ID column
            $table->string('titre')->unique(); // Titre colum
            $table->text('contenu'); // Column column
            $table->text('extrait', 255); // Extrait column
            $table->dateTime('date_debut'); // Date de debut column
            $table->dateTime('date_fin'); // Date de fin column
            $table->string('lien_conf')->nullable(); // Lien column
            $table->integer('picture_id')->unsigned()->nullable(); // Image column
            $table->enum('statut', ['publié', 'dépublié', 'corbeille'])->default('dépublié'); // Statut column
            // Default
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('posts');
    }
}
