@extends('layouts.admin')

@section('title', 'Create a post')

@section('content')

    {!! Form::open(['url' => "admin/post/", 'method' => 'head', 'class' => 'edit-form', 'files' => true]) !!}
        {!! csrf_field() !!}
        <div class="form-group">
            <label class="title">Status</label><br />
            <label for="published" class="sub">Publié{!! Form::radio('statut', 'publié', true, ['id' => 'published']); !!}</label>
            <label for="unpublished" class="sub">Dépublié{!! Form::radio('statut', 'dépublié', null, ['id' => 'unpublished']); !!}</label>
            <label for="trash" class="sub">Mettre à la corbeille{!! Form::radio('statut', 'corbeille', null, ['id' => 'trash']); !!}</label>
            {!! $errors->first('statut', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="titre">Titre :</label>
            <input id="titre" class="form-control" type="text" name="titre" value="{{ old('titre') }}" placeholder="Titre" required>
            {!! $errors->first('titre', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="contenu">Contenu :</label>
            <textarea id="contenu" rows="7" class="form-control" name="contenu" placeholder="Contenu" required>{{ old('contenu') }}</textarea>
            {!! $errors->first('contenu', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="date_debut">Date de début</label>
            {!! Form::custom_date(old('date_debut'), 'date_debut') !!}
            {!! $errors->first('date_debut', '<span class="error">:message</span>') !!}
        </div>
        <div class="form-group">
            <label for="date_fin">Date de fin</label>
            {!! Form::custom_date(old('date_fin'), 'date_fin') !!}
            {!! $errors->first('date_fin', '<span class="error">:message</span>') !!}
        </div>
        <div class="form-group">
            <label>Tags :</label><br />
            @foreach($tags as $tag)
            <label class="sub" for="tag-{{$tag->id}}">{{$tag->name}}
                <input type="checkbox" name="tags[]" value="{{$tag->id}}" id="tag-{{$tag->id}}">
            </label>
          @endforeach
            {!! $errors->first('tags[]', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="lien_conf">Lien de la conférence :</label>
            <input id="lien_conf" class="form-control" type="text" name="lien_conf" value="{{ old('lien_conf') }}" placeholder="Lien de la conférence" required>
            {!! $errors->first('lien_conf', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label id="image">Frontpage image</label><br />
            <input type="file" name="image" id="image">
            {!! $errors->first('image', '<p class="error">:message</p>') !!}
        </div>
        <button type="submit" class="btn btn-default">Submit</button>
    {!! Form::close() !!}

@endsection
