@extends('layouts.admin')

@section('title', 'Edit '.$post->titre)

@section('content')

    {!! Form::open(['url' => "admin/post/$post->id", 'method' => 'put', 'class' => 'edit-form', 'files' => true]) !!}
        {!! csrf_field() !!}
        <div class="form-group">
            <label class="title">Status</label><br />
            <label for="published" class="sub">Publié{!! Form::radio('statut', 'publié', $status['published'], ['id' => 'published']); !!}</label>
            <label for="unpublished" class="sub">Dépublié{!! Form::radio('statut', 'dépublié', $status['unpublished'], ['id' => 'unpublished']); !!}</label>
            <label for="trash" class="sub">Mettre à la corbeille{!! Form::radio('statut', 'corbeille', $status['trash'], ['id' => 'trash']); !!}</label>
            {!! $errors->first('statut', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="titre">Titre :</label>
            <input id="titre" class="form-control" type="text" name="titre" value="{{$post->titre}}" placeholder="Titre" required>
            {!! $errors->first('titre', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="contenu">Contenu :</label>
            <textarea id="contenu" rows="7" class="form-control" name="contenu" placeholder="Contenu" required>{{$post->contenu}}</textarea>
            {!! $errors->first('contenu', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="date_debut">Date de début</label>
            {!! Form::custom_date($post->date_debut, 'date_debut') !!}
            {!! $errors->first('date_debut', '<span class="error">:message</span>') !!}
        </div>
        <div class="form-group">
            <label for="date_fin">Date de fin</label>
            {!! Form::custom_date($post->date_fin, 'date_fin') !!}
            {!! $errors->first('date_fin', '<span class="error">:message</span>') !!}
        </div>
        <div class="form-group">
            <label>Tags :</label><br />
            @foreach($tags as $tag)
                <label for="tag-{{$tag->id}}">{{$tag->name}}
                    <input type="checkbox"
                        @foreach($post->tags as $ptag)
                            @if($ptag->id === $tag->id)
                                checked
                            @endif
                        @endforeach
                    name="tags[]" value="{{$tag->id}}" id="tag-{{$tag->id}}">
                </label>
            @endforeach
            {!! $errors->first('tags[]', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label for="lien_conf">Lien de la conférence :</label>
            <input id="lien_conf" class="form-control" type="text" name="lien_conf" value="{{$post->lien_conf}}" placeholder="Lien de la conférence" required>
            {!! $errors->first('lien_conf', '<p class="error">:message</p>') !!}
        </div>
        <div class="form-group">
            <label id="image">Frontpage image</label><br />
            @if($post->picture_id)
                <img src="{{url(env('IMG_PATH').$post->picture->filename)}}" />
                <div class="sub-field checkbox">
                    <label for="rm_image">Remove image</label>
                    <input id="rm_image" type="checkbox" name="rm_image">
                </div>
            @else
                <input type="file" name="image" id="image">
                {!! $errors->first('image', '<p class="error">:message</p>') !!}
            @endif
        </div>
        <button type="submit" class="btn btn-default">Submit</button>
    {!! Form::close() !!}

@endsection
