@extends('layouts.admin')

@section('title', 'All posts')

@section('content')
<a class="btn btn-info" href="{{url('/admin/post/create/')}}">Créer un event</a>
<table class="table">
    <thead>
      <tr>
        <td>ID</td>
        <td>Statut</td>
        <td>Titre</td>
        <td>Date début - Date fin</td>
        <td>Mots clés</td>
        <td>Changer statut</td>
        <td>Supprimer</td>
      </tr>
    </thead>
    <tbody>
      @foreach($posts as $index => $post)
        <tr class="post">
          <td>
              {{$post->id}}
          </td>
          <td>
              {{$post->statut}}
          </td>
          <td>
              <a href="{{url('/admin/post/'.$post->id.'/edit')}}">{{$post->titre}}</a>
          </td>
          <td>
              {{$post->date_debut}} - {{$post->date_fin}}
          </td>
          <td>
              @forelse($post->tags as $tag)
                {{$tag->name}}
              @empty
                Aucun môt clé
              @endforelse
          </td>
          <td class="publish">
            @if($post->statut === 'dépublié' || $post->statut === 'corbeille')
              {!! Form::open(['url' => "admin/post/$post->id", 'method' => 'put', 'class' => 'publish-form']) !!}
                <input type="hidden" value="publié" name="statut">
                <button type="submit" class="btn btn-success">Publier</button>
              {!! Form::close() !!}
            @else
              {!! Form::open(['url' => "admin/post/$post->id", 'method' => 'put', 'class' => 'publish-form']) !!}
                <input type="hidden" value="dépublié" name="statut">
                <button type="submit" class="btn btn-warning">Dépublier</button>
              {!! Form::close() !!}
            @endif
          </td>
          <td>
            <button pid="{{$post->id}}" class="btn btn-danger trigger-delete">Delete</button>
          </td>
        </tr>
      @endforeach
    </tbody>
</table>

<div class="delete-conf">
    {!! Form::open(['url' => "admin/post/", 'method' => 'delete', 'data-url' => url('admin/post/')]) !!}
        <p>Are you sure you want to delete this post ?</p>
        <input type="hidden" name="id" value="" id="">
        <button class="aboart btn btn-success">Aboart</button>
        <input type="submit" class="btn btn-danger" value="Confirm">
    {!! Form::close() !!}
</div>

<div class="container-pagination">
    {!!$posts->render()!!}
</div>

@endsection
